> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connector

> Get a connector by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /connection/connectors/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /connection/connectors/{uuid}:
    get:
      tags:
        - Connection - Connectors
      summary: Get connector
      description: Get a connector by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Connector identifier.
          required: true
          description: Connector identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  connector:
                    allOf:
                      - type: object
                        properties:
                          uuid:
                            type: string
                          workspaceUuid:
                            type: string
                          userUuid:
                            type: string
                          name:
                            type: string
                          slug:
                            type: string
                          rateLimit:
                            anyOf:
                              - type: object
                                properties:
                                  unit:
                                    type: string
                                    enum:
                                      - day
                                      - hour
                                      - minute
                                      - second
                                  max:
                                    type: number
                                required:
                                  - unit
                                  - max
                                additionalProperties: false
                              - type: 'null'
                          cacheTtlMilliseconds:
                            anyOf:
                              - type: number
                              - type: 'null'
                          integrationSlug:
                            type: string
                          isDefault:
                            type: boolean
                          playsCount:
                            type: number
                          toolsCount:
                            type: number
                          modelsCount:
                            type: number
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          deletedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - uuid
                          - workspaceUuid
                          - userUuid
                          - name
                          - slug
                          - rateLimit
                          - cacheTtlMilliseconds
                          - integrationSlug
                          - isDefault
                          - playsCount
                          - toolsCount
                          - modelsCount
                          - createdAt
                          - updatedAt
                          - deletedAt
                        additionalProperties: false
                      - anyOf:
                          - type: object
                            properties:
                              useCredits:
                                type: boolean
                                const: true
                              config:
                                type: 'null'
                            required:
                              - useCredits
                              - config
                            additionalProperties: false
                          - type: object
                            properties:
                              useCredits:
                                type: boolean
                                const: false
                              config:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                            required:
                              - useCredits
                              - config
                            additionalProperties: false
                    title: Connector
                    description: Connector details.
                required:
                  - connector
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````